﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace TypeConvertorControl
{
    [Serializable]
    [TypeConverter(typeof(FullNameConvertor))]
    public class FullName
    {
       private string strFName;
       private string strLName;

       [RefreshProperties(RefreshProperties.All)]
       [NotifyParentProperty(true)]
       public string FirstName 
       {
           get
           {
               return strFName;
           }
           set
           {
               strFName = value;
           }
       }

       [RefreshProperties(RefreshProperties.All)]
       [NotifyParentProperty(true)]
       public string LastName
       {
           get
           {
               return strLName;
           }
           set
           {
               strLName = value;
           }
       }

        public FullName()
        {
        }

        public FullName(string fname, string lname)
        {
            strFName = fname;
            strLName = lname;
        }
    }
}
